MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000129SoldatGameplaypublic2011-11-01 17:392013-07-07 16:44
Reporterminus 
Assigned Toskoskav 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version1.6.2 
Target VersionFixed in Version1.6.4 
Summary0000129: Throwing your weapon cancels weapon switching
DescriptionIf you switch your weapon (to knife usually) and you want to throw it, you end up throwing the weapon you want to switch away if you don't wait long enough.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001277)
Shoozza (administrator)
2011-12-21 10:27

Is there another way to prevent you from dropping a weapon?
If not maybe this should stay like this then?
(0001283)
minus (reporter)
2011-12-21 13:44

Maybe add a condition "if switching to knife then don't throw current weapon but wait".
(0001290)
Shoozza (administrator)
2011-12-27 15:01

What about:
While switching weapons don't allow throwing
(0001295)
asdf (reporter)
2012-01-13 21:32

Yea, make knifing even more easier/make game even more buggy. Let it stay as it is now.
(0001317)
Bonecrusher (reporter)
2012-02-13 00:05

"While switching weapons don't allow throwing"

This, no more weapon throws at confused people..
(0001389)
Bistoufly (updater)
2012-03-06 05:34

"What about:
 While switching weapons don't allow throwing "

Seems good to me.

would be a nice improvement gameplay-wise
(0001394)
DutchFlame (reporter)
2012-03-13 03:21

"What about:
While switching weapons don't allow throwing"


Makes sense, how the hell would you throw a flag anyway while switching a weapon, it's not like you got 10 arms and hands.. :P
(0001620)
skoskav (developer)
2012-11-10 05:04

Fixed so that you can't throw a weapon while in the "switching weapon" animation. You can still hold the button to throw and it will be thrown as soon as the animation is done.
(0001747)
Bistoufly (updater)
2013-07-07 16:44

verified 1.6.4. rc2

- Issue History
Date Modified Username Field Change
2011-11-01 17:39 minus New Issue
2011-12-21 10:27 Shoozza Note Added: 0001277
2011-12-21 10:27 Shoozza Status new => feedback
2011-12-21 13:44 minus Note Added: 0001283
2011-12-21 13:44 minus Status feedback => new
2011-12-27 15:01 Shoozza Note Added: 0001290
2011-12-27 15:01 Shoozza Status new => feedback
2012-01-13 21:32 asdf Note Added: 0001295
2012-02-13 00:05 Bonecrusher Note Added: 0001317
2012-03-06 05:34 Bistoufly Note Added: 0001389
2012-03-13 03:21 DutchFlame Note Added: 0001394
2012-11-10 05:04 skoskav Note Added: 0001620
2012-11-10 05:04 skoskav Status feedback => resolved
2012-11-10 05:04 skoskav Fixed in Version => 1.6.4
2012-11-10 05:04 skoskav Resolution open => fixed
2012-11-10 05:04 skoskav Assigned To => skoskav
2013-07-07 16:44 Bistoufly Note Added: 0001747
2013-07-07 16:44 Bistoufly Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker